Loading...
Searching...
No Matches
uhd::analog_filter_base Class Reference

`#include <uhd/types/filters.hpp>`

Inheritance diagram for uhd::analog_filter_base:
[legend]
Collaboration diagram for uhd::analog_filter_base:
[legend]

## Public Types

typedef std::shared_ptr< analog_filter_base > | sptr
Public Types inherited from uhd::filter_info_base
enum | filter_type { ANALOG_LOW_PASS , ANALOG_BAND_PASS , DIGITAL_I16 , DIGITAL_FIR_I16 }
typedef std::shared_ptr< filter_info_base > | sptr

## Public Member Functions

| analog_filter_base (filter_type type, bool bypass, size_t position_index, const std::string &analog_type)
UHD_INLINE const std::string & | get_analog_type ()
std::string | to_pp_string () override
Public Member Functions inherited from uhd::filter_info_base
| filter_info_base (filter_type type, bool bypass, size_t position_index)
virtual UHD_INLINE bool | is_bypassed ()
UHD_INLINE filter_type | get_type ()
virtual | ~filter_info_base ()

## Additional Inherited Members

Protected Attributes inherited from uhd::filter_info_base
filter_type | _type
bool | _bypass
size_t | _position_index

## Member Typedef Documentation

## sptr

typedef std::shared_ptr<analog_filter_base> uhd::analog_filter_base::sptr

## Constructor & Destructor Documentation

## analog_filter_base()

uhd::analog_filter_base::analog_filter_base | ( | filter_type | type,
|  | bool | bypass,
|  | size_t | position_index,
|  | const std::string & | analog_type )

inline

## Member Function Documentation

## get_analog_type()

UHD_INLINE const std::string & uhd::analog_filter_base::get_analog_type | ( |  | ) |

inline

## to_pp_string()

std::string uhd::analog_filter_base::to_pp_string | ( |  | ) |

override virtual

Reimplemented from uhd::filter_info_base.

Reimplemented in uhd::analog_filter_lp.

The documentation for this class was generated from the following file:

- filters.hpp